GDB (xrefs)

Public Attributes | List of all members
mips_frame_cache Struct Reference

## Public Attributes
CORE_ADDR | base
struct trad_frame_saved_reg * | saved_regs

## Detailed Description

Definition at line 2399 of file mips-tdep.c.

## Member Data Documentation

## ◆ base

CORE_ADDR mips_frame_cache::base

Definition at line 2401 of file mips-tdep.c.

Referenced by micromips_scan_prologue(), mips16_scan_prologue(), mips32_scan_prologue(), mips_insn16_frame_base_address(), mips_insn16_frame_cache(), mips_insn16_frame_this_id(), mips_insn32_frame_base_address(), mips_insn32_frame_cache(), mips_insn32_frame_this_id(), mips_micro_frame_base_address(), mips_micro_frame_cache(), and mips_micro_frame_this_id().

## ◆ saved_regs

struct trad_frame_saved_reg* mips_frame_cache::saved_regs

Definition at line 2402 of file mips-tdep.c.

Referenced by micromips_scan_prologue(), mips16_scan_prologue(), mips32_scan_prologue(), mips_insn16_frame_cache(), mips_insn16_frame_prev_register(), mips_insn32_frame_cache(), mips_insn32_frame_prev_register(), mips_micro_frame_cache(), mips_micro_frame_prev_register(), reset_saved_regs(), and set_reg_offset().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/mips-tdep.c